Criar Instância
curl --request POST \
--url https://api.example.com/instancesimport requests
url = "https://api.example.com/instances"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Instância
Criar Instância
Cria uma nova instância do WhatsApp
POST
/
instances
Criar Instância
Descrição
Cria uma nova instância do WhatsApp na sua conta Bliper. A resposta retorna oinstanceId e o instanceToken, que devem ser salvos e utilizados em todas as requisições subsequentes da instância.
Request
Headers
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
Body
{
"name": "Minha Instância",
"receivedCallbackUrl": "https://seu-servidor.com/webhook/received",
"deliveryCallbackUrl": "https://seu-servidor.com/webhook/delivery"
}
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
name | string | Sim | Nome identificador da instância |
receivedCallbackUrl | string | Não | URL de callback para mensagens recebidas |
deliveryCallbackUrl | string | Não | URL de callback para confirmações de entrega |
Response
Sucesso (200)
{
"instanceId": "abc123",
"instanceToken": "tok_...",
"name": "Minha Instância"
}
Exemplo cURL
curl -X POST 'https://api.bliper.io/instances' \
-H 'Client-Token: SEU_CLIENT_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Minha Instância",
"receivedCallbackUrl": "https://seu-servidor.com/webhook/received",
"deliveryCallbackUrl": "https://seu-servidor.com/webhook/delivery"
}'
Salve o
instanceId e o instanceToken retornados na resposta. Eles são necessários para todas as outras requisições da instância.⌘I

